summaryrefslogtreecommitdiff
path: root/tests/setup.sh
diff options
context:
space:
mode:
authorVon Welch <von@vwelch.com>2014-04-22 22:15:26 -0400
committerVon Welch <von@vwelch.com>2014-04-22 22:15:26 -0400
commit4afed67b4579818d1f2314d16047767f48ef7519 (patch)
tree70103be2e482caff0038002f8ae5b046d8b3c4c5 /tests/setup.sh
parent14aa5aba9d5451ba21582637ef1aa8060a75e15c (diff)
downloadpass-4afed67b4579818d1f2314d16047767f48ef7519.tar.gz
pass-4afed67b4579818d1f2314d16047767f48ef7519.tar.bz2
pass-4afed67b4579818d1f2314d16047767f48ef7519.zip
tests: with agent emulation, pass_init() errors if 'pass init' fails
Diffstat (limited to 'tests/setup.sh')
-rwxr-xr-xtests/setup.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/tests/setup.sh b/tests/setup.sh
index d6ba203..df53943 100755
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -54,11 +54,7 @@ pass_init() {
fi
fi
- # This curently returns non-zero for unknown reasons.
- # Only happens with stdin set to /dev/null.
- # I suspect the agent check.
- # TODO: Once fixed, catch non-zero here and fail.
- ${PASS} init ${PASSWORD_STORE_KEY} || true
+ ${PASS} init ${PASSWORD_STORE_KEY} || return 1
echo "Initialization of ${PASSWORD_STORE_DIR} complete."
}
+181 2008-01-18 r661@Devoty: necoro | 2008-01-18 14:16:59 +0100Necoro8-211/+293 2008-01-18 r655@Devoty: necoro | 2008-01-18 03:04:53 +0100Necoro1-1/+1 2008-01-18 r651@Devoty: necoro | 2008-01-18 02:41:51 +0100Necoro3-393/+513 2008-01-18 r643@Devoty: necoro | 2008-01-16 18:55:49 +0100Necoro14-249/+525 2008-01-14 r634@Devoty: necoro | 2008-01-14 23:48:24 +0100Necoro3-1/+4 2008-01-14 r632@Devoty: necoro | 2008-01-14 23:44:52 +0100Necoro3-175/+181 2008-01-14(no commit message)Necoro10-758/+1014 2008-01-14 r621@Devoty: necoro | 2008-01-14 20:21:40 +0100Necoro2-21/+61 2008-01-14 r618@Devoty: necoro | 2008-01-14 20:19:05 +0100Necoro2-35/+57 2008-01-14 r617@Devoty: necoro | 2008-01-14 19:12:59 +0100Necoro2-10/+10 2008-01-14 r609@Devoty: necoro | 2008-01-14 17:04:38 +0100Necoro9-394/+477 2008-01-14 r605@Devoty: necoro | 2008-01-14 11:43:34 +0100Necoro2-26/+129 2008-01-14 r603@Devoty: necoro | 2008-01-14 11:30:26 +0100Necoro4-26/+38 2008-01-11 r598@Devoty: necoro | 2008-01-10 16:36:29 +0100Necoro4-10/+50 2008-01-11 r597@Devoty: necoro | 2008-01-10 14:12:35 +0100Necoro1-3/+3 2008-01-10 r595@Devoty: necoro | 2008-01-10 04:04:15 +0100Necoro1-52/+3 2008-01-09 r586@Devoty: necoro | 2008-01-09 14:54:18 +0100Necoro1-1/+1 2007-12-06 r577@Devoty: necoro | 2007-12-06 20:37:36 +0100Necoro1-1/+1 2007-12-06 r572@Devoty: necoro | 2007-11-28 08:48:15 +0100Necoro1-0/+1 2007-11-27 r570@Devoty: necoro | 2007-11-27 02:08:21 +0100Necoro3-84/+108